micronaut.application:
  name: tincheck

micronaut.server:
  cors.enabled: true

micronaut.router:
  static-resources:
    public:
      mapping: /**
      paths:
        - "classpath:public"
        - "classpath:META-INF/resources/webjars"

jackson:
  serialization:
    writeDatesAsTimestamps: false
  mapper:
    acceptCaseInsensitiveEnums: true

resilience4j:
  ratelimiter:
    enabled: true
    configs:
      tincheck-public-config:
        registerHealthIndicator: false
        limitRefreshPeriod: 60s
        limitForPeriod: 10
        eventConsumerBufferSize: 100
    instances:
      tincheck-public:
        baseConfig: tincheck-public-config